	.file	"libgcc2.c"
gcc2_compiled.:
___gnu_compiled_c:
.text
	.align 4
.globl ___ffsdi2
___ffsdi2:
	subl $8,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 24(%esp),%eax
	movl 28(%esp),%edx
	movl %eax,12(%esp)
	movl %edx,16(%esp)
	xorl %ebx,%ebx
	movl 12(%esp),%eax
#APP
	xorl %eax,%eax
bsfl %eax,%esi
jz 1f
leal 1(%esi),%eax
1:
#NO_APP
	movl %eax,%ecx
	testl %eax,%eax
	je L4
L8:
	movl %ecx,%eax
	movl %ebx,%edx
	popl %ebx
	popl %esi
	popl %edi
	addl $8,%esp
	ret
	.align 4,0x90
L4:
	movl 16(%esp),%eax
#APP
	xorl %eax,%eax
bsfl %eax,%edi
jz 1f
leal 1(%edi),%eax
1:
#NO_APP
	movl %eax,%ecx
	testl %eax,%eax
	je L8
	addl $32,%ecx
	movl %ecx,%eax
	movl %ebx,%edx
	popl %ebx
	popl %esi
	popl %edi
	addl $8,%esp
	ret
